Summary: Scripts launched by system on suspend to disk suspend to ram and resume
Name: hibernate-scripts
Version: 1.0.1
Release: 2mdk
Source0: %{name}-%{version}.tar.bz2
Patch0: swsusptodisk-toram-scripts-101.patch.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://dagobah.ucc.asn.au/swsusp/script2/hibernate-script-1.00.tar.gz
BuildArchitectures: i586

%description 

Hibernate scripts include suspend to disk and suspend to
ram scripts by software. Suspend to disk stores current memory on the
swap partition and powers off.  Suspend to ram is quicker and keep
your computer in an hibernate state with the current memory being kept
alive by the battery. On many laptops, the halt button is still
blinking after a suspend to ram. Resuming, either from disk or from
memory is done by pushing the start button again. If you suspend to
disk with standard swsusp, your lilo or grub kernel option line must contain
a line "resume=/dev/hdaN" where /dev/hdaN is your swap partition. If
you suspend with swsusp2 the corresponding line is
"resume2=swap:/dev/hdaN". Run 'hibernate -h' to see available
options and modify your /etc/hibernate/hibernate.conf to set them. 


%prep
%setup -q
%patch -p1

%build
(cd emu; make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/hibernate-%version-%release
cp README CHANGELOG COPYING TODO SCRIPTLET-API ${RPM_BUILD_ROOT}/usr/share/doc/hibernate-%version-%release
mkdir -p $RPM_BUILD_ROOT/etc/hibernate/scriptlets.d
install -m644 scriptlets.d/* $RPM_BUILD_ROOT/etc/hibernate/scriptlets.d/
install -m644 blacklisted-modules $RPM_BUILD_ROOT/etc/hibernate/

mkdir -p $RPM_BUILD_ROOT/%_sbindir
install -m755 hibernate.sh $RPM_BUILD_ROOT/%_sbindir/hibernate
install -m755 susptodisk.sh $RPM_BUILD_ROOT/%_sbindir/susptodisk
install -m755 susptoram.sh $RPM_BUILD_ROOT/%_sbindir/susptoram
install -m755 emu/video_post $RPM_BUILD_ROOT/%_sbindir/video_post
install -m644 hibernate.conf susptodisk.conf susptoram.conf $RPM_BUILD_ROOT/etc/hibernate/
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 hibernate.pam $RPM_BUILD_ROOT/etc/pam.d/hibernate
ln $RPM_BUILD_ROOT/etc/pam.d/hibernate $RPM_BUILD_ROOT/etc/pam.d/susptodisk
ln $RPM_BUILD_ROOT/etc/pam.d/hibernate $RPM_BUILD_ROOT/etc/pam.d/susptoram
mkdir -p $RPM_BUILD_ROOT/usr/bin
(cd $RPM_BUILD_ROOT/usr/bin; ln -s consolehelper hibernate;ln -s consolehelper susptodisk; ln -s consolehelper susptoram) 
mkdir -p $RPM_BUILD_ROOT/%_mandir/man8
install -m644 susptodisk.8 $RPM_BUILD_ROOT/%_mandir/man8
install -m644 hibernate.8 $RPM_BUILD_ROOT/%_mandir/man8
(cd $RPM_BUILD_ROOT/%_mandir/man8;ln -s susptodisk.8 susptoram.8)
mkdir -p $RPM_BUILD_ROOT/%_mandir/man5
install -m644 hibernate.conf.5 $RPM_BUILD_ROOT/%_mandir/man5
install -m644 susptodisk.conf.5 $RPM_BUILD_ROOT/%_mandir/man5
(cd $RPM_BUILD_ROOT/%_mandir/man5;ln -s susptodisk.conf.5 susptoram.conf.5)
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
install -m644 hibernate.console $RPM_BUILD_ROOT/etc/security/console.apps/hibernate
install -m644 susptodisk.console $RPM_BUILD_ROOT/etc/security/console.apps/susptodisk
install -m644 susptoram.console $RPM_BUILD_ROOT/etc/security/console.apps/susptoram
# make install ROOT=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc /usr/share/doc/hibernate-%version-%release

%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%config(noreplace) /etc/hibernate/*
%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/pam.d/*

%changelog
* Tue Nov 22 2004 Nicolas Brouard <brouard at ined point fr> 1.0.1-1mdk
 - Adaptation of Bernard Blackham 1.01 hibernate.conf scripts with
   UseSysfsPowerDisk shutdown 
   UseVideoPost yes for some video cards
   susptodisk and susptoram scripts added.
   PAM config files inserted.

# end of file
